using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace SCAN
{
    class ScheduleDisplay
    {
        public string No { get; set; }
        public string Tmt_no { get; set; }
        public string Kjt_no { get; set; }
        public int Qty { get; set; }
        public string Status { get; set; }

        public static List<ScheduleDisplay> LoadCollectionData(List<Schedule> schedules)
        {
            List<ScheduleDisplay> items = new List<ScheduleDisplay>();
            int i = 0;
            foreach (Schedule schedule in schedules)
            {
                items.Add(new ScheduleDisplay()
                {
                    No = (++i).ToString(),
                    Tmt_no = schedule.Tmt_no,
                    Kjt_no = schedule.Kjt_no,
                    Qty = schedule.Qty,
                    Status = schedule.Status
                });
            }

            return items;
        }
    }
}
